<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13) on Wed Apr 22 00:09:48 EEST 2020 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-22">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="tree">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="businessLayer/package-tree.html">businessLayer</a>, </li>
<li><a href="connection/package-tree.html">connection</a>, </li>
<li><a href="dataAccessLayer/package-tree.html">dataAccessLayer</a>, </li>
<li><a href="model/package-tree.html">model</a>, </li>
<li><a href="presentation/package-tree.html">presentation</a></li>
</ul>
</div>
<div class="contentContainer">
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">dataAccessLayer.<a href="dataAccessLayer/AbstractDAO.html" title="class in dataAccessLayer"><span class="typeNameLink">AbstractDAO</span></a>
<ul>
<li class="circle">dataAccessLayer.<a href="dataAccessLayer/ClientDAO.html" title="class in dataAccessLayer"><span class="typeNameLink">ClientDAO</span></a></li>
<li class="circle">dataAccessLayer.<a href="dataAccessLayer/OrderDAO.html" title="class in dataAccessLayer"><span class="typeNameLink">OrderDAO</span></a></li>
<li class="circle">dataAccessLayer.<a href="dataAccessLayer/ProductDAO.html" title="class in dataAccessLayer"><span class="typeNameLink">ProductDAO</span></a></li>
</ul>
</li>
<li class="circle">model.<a href="model/BasicModel.html" title="class in model"><span class="typeNameLink">BasicModel</span></a>
<ul>
<li class="circle">model.<a href="model/Client.html" title="class in model"><span class="typeNameLink">Client</span></a></li>
<li class="circle">model.<a href="model/Orders.html" title="class in model"><span class="typeNameLink">Orders</span></a></li>
<li class="circle">model.<a href="model/Product.html" title="class in model"><span class="typeNameLink">Product</span></a></li>
</ul>
</li>
<li class="circle">presentation.<a href="presentation/Bill.html" title="class in presentation"><span class="typeNameLink">Bill</span></a></li>
<li class="circle">businessLayer.<a href="businessLayer/ClientBLL.html" title="class in businessLayer"><span class="typeNameLink">ClientBLL</span></a></li>
<li class="circle">businessLayer.<a href="businessLayer/ClientValidator.html" title="class in businessLayer"><span class="typeNameLink">ClientValidator</span></a> (implements businessLayer.<a href="businessLayer/Validator.html" title="interface in businessLayer">Validator</a>&lt;T&gt;)</li>
<li class="circle">connection.<a href="connection/ConnectionFactory.html" title="class in connection"><span class="typeNameLink">ConnectionFactory</span></a></li>
<li class="circle">presentation.<a href="presentation/Controller.html" title="class in presentation"><span class="typeNameLink">Controller</span></a></li>
<li class="circle"><a href="Main.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Main</span></a></li>
<li class="circle">businessLayer.<a href="businessLayer/OrderBLL.html" title="class in businessLayer"><span class="typeNameLink">OrderBLL</span></a></li>
<li class="circle">businessLayer.<a href="businessLayer/OrderValidator.html" title="class in businessLayer"><span class="typeNameLink">OrderValidator</span></a> (implements businessLayer.<a href="businessLayer/Validator.html" title="interface in businessLayer">Validator</a>&lt;T&gt;)</li>
<li class="circle">businessLayer.<a href="businessLayer/ProductBLL.html" title="class in businessLayer"><span class="typeNameLink">ProductBLL</span></a></li>
<li class="circle">businessLayer.<a href="businessLayer/ProductValidator.html" title="class in businessLayer"><span class="typeNameLink">ProductValidator</span></a> (implements businessLayer.<a href="businessLayer/Validator.html" title="interface in businessLayer">Validator</a>&lt;T&gt;)</li>
<li class="circle">presentation.<a href="presentation/ReportGenerator.html" title="class in presentation"><span class="typeNameLink">ReportGenerator</span></a></li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">businessLayer.<a href="businessLayer/Validator.html" title="interface in businessLayer"><span class="typeNameLink">Validator</span></a>&lt;T&gt;</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.lang.constant.Constable, java.io.Serializable)
<ul>
<li class="circle">presentation.<a href="presentation/Operation.html" title="enum in presentation"><span class="typeNameLink">Operation</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
